Announcement

Collapse
No announcement yet.

Trying to install Foxit Reader 2.4.1 on 16.04 - message cannot execute binary file

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Trying to install Foxit Reader 2.4.1 on 16.04 - message cannot execute binary file

    I downloaded the software and followed the instructions. On the last step I got message: " cannot execute binary file: Exec format error" I selected the 64 bit download. I have also tried other instructions for older Foxit Reader versions, all gave same problem.
    Please follow the steps below to install Foxit Reader for Linux: • Change to the directory containing the downloaded file (used /tmp as the example): # cd /tmp • Uncompress the executable # gzip -d 'FoxitReader_version_Setup.run.tar.gz' • Untar the .tar file: # tar xvf 'FoxitReader_version_Setup.run.tar' • Run the installer: # ./'FoxitReader_version_Setup.run' ***Error on this step*** • Follow the steps on the screen to complete the installation
    Added Here is print out of terminal session.
    bob@bob-PORTEGE-Z30-B:~$ cd Downloads bob@bob-PORTEGE-Z30-B:~/Downloads$ ls FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.tar .gz linux-brprinter-installer-2.0.0-1.gz mfcj885dwcupswrapper-1.0.0-0.i386.deb mfcj885dwlpr-1.0.0-0.i386.deb bob@bob-PORTEGE-Z30-B:~/Downloads$ gzip -d 'FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.ta r.gz' bob@bob-PORTEGE-Z30-B:~/Downloads$ ls FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.tar linux-brprinter-installer-2.0.0-1.gz mfcj885dwcupswrapper-1.0.0-0.i386.deb mfcj885dwlpr-1.0.0-0.i386.deb bob@bob-PORTEGE-Z30-B:~/Downloads$ tar xvf 'FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.ta r' FoxitReader.enu.setup.2.4.1.0609(r08f07f8).x64.run bob@bob-PORTEGE-Z30-B:~/Downloads$ ls FoxitReader2.4.1.0609_Server_x64_enu_Setup.run.tar FoxitReader.enu.setup.2.4.1.0609(r08f07f8).x64.run linux-brprinter-installer-2.0.0-1.gz mfcj885dwcupswrapper-1.0.0-0.i386.deb mfcj885dwlpr-1.0.0-0.i386.deb bob@bob-PORTEGE-Z30-B:~/Downloads$ ./'FoxitReader.enu.setup.2.4.1.0609(r08f07f8).x64.ru n' bash: ./FoxitReader.enu.setup.2.4.1.0609(r08f07f8).x64.run : cannot execute binary file: Exec format error bob@bob-PORTEGE-Z30-B:~/Downloads$
    Problem resolved - was trying to install 64bit software on 32 bit ubuntu. Note: the hardware, BIOS, says it is 64 but ubuntu says 32.


  • #2
    mia123 ,Do you mean that you have finally installed 32-bit of Foxit Reader for Linux package into your 32 bit ubuntu succefully?

    Comment

    Working...
    X